JRPCGEN(1)

NAME
jrpcgen - an RPC protocol compiler

SYNOPSIS
jrpcgen [-options] x-file

DESCRIPTION
jrpcgen is a tool that generates Java code to implement an RPC protocol. The input to jrpcgen is a language similar to C known as RPC Language (Remote Procedure Call Language).

  where options include:

-c <classname>
    specify class name of client proxy stub

-d <dir>
    specify directory where to place generated source code files

-p <package>
    specify package name for generated source code files

-s <classname>
    specify class name of server proxy stub

-ser
    tag generated XDR classes as serializable

-bean
    generate accessors for usage as bean, implies -ser

-noclamp
    do not clamp version number in client method stubs

-withcallinfo
    supply call information to server method stubs

-initstrings
    initialize all strings to be empty instead of null

-nobackup
    do not make backups of old source code files

-noclient
    do not create client proxy stub

-noserver
    do not create server proxy stub

-parseonly
    parse x-file only but do not create source code files

-verbose
    enable verbose output about what jrpcgen is doing

-version
    print jrpcgen version and exit

-debug
    enables printing of diagnostic messages

-? -help
    print this help message and exit

--  end options

SEE ALSO
The full documentation for jrpcgen is maintained as a Texinfo manual. If the info and jrpcgen programs are properly installed at your site, the command

    info jrpcgen

should give you access to the complete manual.